List executions
Returns all executions with cursor-based pagination.
x-api-key<token>
In: header
Query Parameters
limit?integer
Range
0 < value <= 2000Default
20cursor?string
connector?string
status?array<>
includeSchedule?boolean
Default
falseincludeTriggers?boolean
Default
falseHeader Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/executions" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "limit": 0, "nextCursor": "string", "executions": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connector": "hyperliquid", "intent": "OPEN", "orderType": "MARKET", "status": "IDLE", "error": "string", "createdAt": "string", "updatedAt": "string", "orders": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connector": "hyperliquid", "status": "PENDING", "error": "string", "errorCode": "string", "createdAt": "string", "updatedAt": "string", "type": "MARKET", "symbol": "BTC", "side": "BUY", "reduceOnly": true, "quantity": "1250.75", "price": "1250.75", "filledQuantity": "1250.75", "filledPrice": "1250.75" } ], "legs": [ { "symbol": "BTC", "side": "BUY", "mode": "QUANTITY", "amount": "1250.75", "reduceOnly": true } ] } ]}